import pytest
from agentverse_client.search import AgentSearchResponse


@pytest.fixture
def agent_search_response_fixture() -> dict:
    agent_search_response_json: str = (
        '{"agents":[{"address":"agent1qv2u6v4ueea9kmvsyyclz9reh7qmzc6gr0fn7aeup93xm6ld8ynwc65nsks","prefix":"test-agent","name":"Penny","readme":"\\n    <sidekick>\\n        <name>Penny</name>\\n        <description></description>\\n        <last_known_general_location>None</last_known_general_location>\\n        <communities>\\n    \\n            <community>\\n                <name>Penny Sidekick Chat</name>\\n                <description>Your personal chat with your own AI.</description>\\n            </community>\\n        \\n            <community>\\n                <name>Emily Williams</name>\\n                <description>After careers in science and marketing, I settled into life as an art quilter … cutting up perfectly good fabric and putting it back together. Sometimes sewn, sometimes collaged, but always layered and stitched, the colors and textures of fabric are a never-ending inspiration.\\n \\nI\'m drawn to bright colors and abstract lines but also enjoy an occasional trip into realistic portrayals of the world around me. And the more than occasional political rant. But mostly, I love to play, learn, teach, collaborate, and not follow the rules. \\n\\nI am a native Grand Rapidian who wandered off to Massachusetts. I\'m excited to be visiting friends, family, and memories in GR for ArtPrize.\\n</description>\\n            </community>\\n        \\n        </communities>\\n    </sidekick>\\n    ","protocols":[{"name":"","version":"","digest":"proto:30a801ed3a83f9a0ff0a9f1e6fe958cb91da1fc2218b153df7b6cbf87bd33d62"}],"avatar_href":null,"total_interactions":0,"recent_interactions":0,"rating":null,"status":"inactive","type":"local","featured":false,"category":"community","system_wide_tags":[],"geo_location":null,"domain":null,"last_updated":"2024-10-29T19:04:43Z","created_at":"2024-10-29T19:04:10Z","current_campaign_eligible":false},{"address":"agent1qgp77uc88yng52mp3zryl056wy6n2yqzqppuz67rcy30gqv88numu2vvya2","prefix":"test-agent","name":"Penny","readme":"\\n    <sidekick>\\n        <name>Penny</name>\\n        <description></description>\\n        <last_known_general_location>None</last_known_general_location>\\n        <communities>\\n    \\n            <community>\\n                <name>Dorelle Brock</name>\\n                <description>My passion for art is fueled by the love of design and cre- ativity that plays the connection between the artist and viewers. I pride myself in being an all-around creative who uses vivid and bold imagery to tell a story with an abstract design that is both breathtakingly beautiful and emotionally evocative.\\nMy design approach is more than just aesthetics, it’s a science. Using theories such as the golden ratio, I’m able to tie design and information together, creating a flow of movement through visual hierarchy. This creates a sense of balance and harmony that catches the eye and captures the heart.\\nWith a background in fine art, visual design & business,\\nI understand that art is more than just what meets the eye. It’s about telling a story, communicating a message, and inspiring action. That’s why my work is not just about creating something that looks nice, it’s about the experience; the “something” that resonates deep within you on a personal level.\\nIn every piece of art that I create, from visual design, photography, and paintings, I strive to create an experience that is unique and impactful to each individual. I look forward to having you apart of this journey to experience the power\\nof creativity.\\nBe Great... Stay Creative!</description>\\n            </community>\\n        \\n            <community>\\n                <name>Penny Sidekick Chat</name>\\n                <description>Your personal chat with your own AI.</description>\\n            </community>\\n        \\n        </communities>\\n    </sidekick>\\n    ","protocols":[{"name":"","version":"","digest":"proto:30a801ed3a83f9a0ff0a9f1e6fe958cb91da1fc2218b153df7b6cbf87bd33d62"}],"avatar_href":null,"total_interactions":0,"recent_interactions":0,"rating":null,"status":"inactive","type":"local","featured":false,"category":"community","system_wide_tags":[],"geo_location":null,"domain":null,"last_updated":"2024-10-29T19:05:31Z","created_at":"2024-10-29T19:04:57Z","current_campaign_eligible":false},{"address":"agent1q2fzmfh6jk4gzayxsn48lxnxldnefs3pq9hspq2w6hdmd33zkqengm6g5x6","prefix":"test-agent","name":"Penny","readme":"\\n    <sidekick>\\n        <name>Penny</name>\\n        <description></description>\\n        <last_known_general_location>None</last_known_general_location>\\n        <communities>\\n    \\n            <community>\\n                <name>Penny Sidekick Chat</name>\\n                <description>Your personal chat with your own AI.</description>\\n            </community>\\n        \\n            <community>\\n                <name>Holly Bulko</name>\\n                <description>My name is Holly BulkoI believe life sometimes takes you back to the start of your journey.  \\nWith my art I would like to leave a memory, be it happy, sad, angry, or calm.\\n I want my artwork to invoke something that stirs the soul. My experience inspires me to trust the twist and turns of life.\\n I am excited to share my art. This gift of imperfect frames are just as important as the art itself.  I know most of the frames origins as well as the location of the scene. There are stories behind both.Each painting is very personal like a journal.  I have reverse painted on glass for only a short time April 2022. \\nI hope you enjoy and embrace your continuing journey as much as I have mine.   \\n</description>\\n            </community>\\n        \\n        </communities>\\n    </sidekick>\\n    ","protocols":[{"name":"","version":"","digest":"proto:30a801ed3a83f9a0ff0a9f1e6fe958cb91da1fc2218b153df7b6cbf87bd33d62"}],"avatar_href":null,"total_interactions":0,"recent_interactions":0,"rating":null,"status":"inactive","type":"local","featured":false,"category":"community","system_wide_tags":[],"geo_location":null,"domain":null,"last_updated":"2024-10-29T19:03:24Z","created_at":"2024-10-29T19:02:53Z","current_campaign_eligible":false},{"address":"agent1qvy58wtr0vwj332ym9apt083azpswn6wvf37q7wmn64gxwmg0m955256ukr","prefix":"test-agent","name":"Travel","readme":"\\n    <sidekick>\\n        <name>Travel</name>\\n        <description>For jet setters and go getters, who love to view the world, bringing together a community of people who love to travel.</description>\\n        <last_known_general_location>None</last_known_general_location>\\n        <communities>\\n    \\n                <community>\\n                    <name>Travel</name>\\n                    <description>For jet setters and go getters, who love to view the world, bringing together a community of people who love to travel.</description>\\n                </community>\\n            \\n        </communities>\\n    </sidekick>\\n    ","protocols":[{"name":"","version":"","digest":"proto:30a801ed3a83f9a0ff0a9f1e6fe958cb91da1fc2218b153df7b6cbf87bd33d62"}],"avatar_href":null,"total_interactions":0,"recent_interactions":0,"rating":null,"status":"inactive","type":"custom","featured":false,"category":"community","system_wide_tags":[],"geo_location":null,"domain":null,"last_updated":"2024-12-23T22:01:13Z","created_at":"2024-12-23T21:58:59Z","current_campaign_eligible":false},{"address":"agent1qgdj33q8hy3f3ylfm0zrh4zlh7tw58k2229kmxqhacjt66228tg9yk85mnc","prefix":"test-agent","name":"Outdoorsy Campers","readme":"\\n    <community_ai>\\n        <name>Outdoorsy Campers</name>\\n        <description>Best hiking trails, camping events, and thrilling outdoor activities. Let\'s explore the wild together!</description>\\n        <last_known_general_location>None</last_known_general_location>\\n        <personality>\\n<context>\\n    <community_name>Outdoorsy Campers</community_name>\\n    <community_description>Best hiking trails, camping events, and thrilling outdoor activities. Let\'s explore the wild together!</community_description>\\n<context>\\n<role>\\n    You are an expert in the Outdoorsy Campers community. You help community members connect with the community near them by finding activities, locations, and other popular things with the community.\\n</role>\\n</personality>\\n    </community_ai>\\n    ","protocols":[{"name":"","version":"","digest":"proto:30a801ed3a83f9a0ff0a9f1e6fe958cb91da1fc2218b153df7b6cbf87bd33d62"}],"avatar_href":null,"total_interactions":0,"recent_interactions":0,"rating":null,"status":"inactive","type":"custom","featured":false,"category":"community","system_wide_tags":[],"geo_location":null,"domain":null,"last_updated":"2025-01-09T05:15:49Z","created_at":"2025-01-09T05:14:07Z","current_campaign_eligible":false},{"address":"agent1qf6n6vjh2c45zd0n3p5ppp6qrcmmpjtnq4d9d69paxx9f7hf4w5azqn2674","prefix":"test-agent","name":"Penny","readme":"\\n    <sidekick>\\n        <name>Penny</name>\\n        <description></description>\\n        <last_known_general_location>None</last_known_general_location>\\n        <communities>\\n    \\n            <community>\\n                <name>psudo Andrusiak</name>\\n                <description>Timothy, the Nameless, is a Grand Rapids based artist. In 2020, they began developing a unique style using delicate pen work to convey the intense mixture of wonder, whimsy, and existential dread that permeates their being. Timothy employs a symbolic language throughout their work, often featuring visionary beings in the midst of discovering something that cannot be forgotten, but must not be remembered. </description>\\n            </community>\\n        \\n            <community>\\n                <name>Penny Sidekick Chat</name>\\n                <description>Your personal chat with your own AI.</description>\\n            </community>\\n        \\n        </communities>\\n    </sidekick>\\n    ","protocols":[{"name":"","version":"","digest":"proto:30a801ed3a83f9a0ff0a9f1e6fe958cb91da1fc2218b153df7b6cbf87bd33d62"}],"avatar_href":null,"total_interactions":0,"recent_interactions":0,"rating":null,"status":"inactive","type":"local","featured":false,"category":"community","system_wide_tags":[],"geo_location":null,"domain":null,"last_updated":"2024-10-29T19:07:59Z","created_at":"2024-10-29T19:07:26Z","current_campaign_eligible":false},{"address":"agent1q08y3s4q23xc5ldek2et9xqdkfc78e0wh9lavyvcnfdls8qkfne3ulx8tsz","prefix":"test-agent","name":"Penny","readme":"\\n    <sidekick>\\n        <name>Penny</name>\\n        <description></description>\\n        <last_known_general_location>None</last_known_general_location>\\n        <communities>\\n    \\n            <community>\\n                <name>Mercurial Pearl </name>\\n                <description>London-based artist Mercurial Pearl expresses her love of textures and fascination with composition through collage. What started as arranging bowls of fruit as a child, evolved into composing abstract textures, forms and colors into new dimensions of conceptual chaos.\\n\\nShe finds great freedom in extracting from an image anything that catches her eye and combining it with something completely unrelated.</description>\\n            </community>\\n        \\n            <community>\\n                <name>Penny Sidekick Chat</name>\\n                <description>Your personal chat with your own AI.</description>\\n            </community>\\n        \\n        </communities>\\n    </sidekick>\\n    ","protocols":[{"name":"","version":"","digest":"proto:30a801ed3a83f9a0ff0a9f1e6fe958cb91da1fc2218b153df7b6cbf87bd33d62"}],"avatar_href":null,"total_interactions":0,"recent_interactions":0,"rating":null,"status":"inactive","type":"local","featured":false,"category":"community","system_wide_tags":[],"geo_location":null,"domain":null,"last_updated":"2024-10-29T19:05:23Z","created_at":"2024-10-29T19:04:49Z","current_campaign_eligible":false},{"address":"agent1q22qvfh4tug0gh52fjh6x86y0nedzz3r8u7mzqe2xeqfs4m4mpvqc2wstke","prefix":"test-agent","name":"Golf","readme":"\\n    <community_ai>\\n        <name>Golf</name>\\n        <description>Ready to par-tee with the golf community? Bringing together people for golf talk, tips and those wanting to share their favorite courses!</description>\\n        <last_known_general_location>None</last_known_general_location>\\n        <personality>\\n<context>\\n    <community_name>Golf</community_name>\\n    <community_description>Ready to par-tee with the golf community? Bringing together people for golf talk, tips and those wanting to share their favorite courses!</community_description>\\n<context>\\n<role>\\n    You are an expert in the Golf community. You help community members connect with the community near them by finding activities, locations, and other popular things with the community.\\n</role>\\n</personality>\\n    </community_ai>\\n    ","protocols":[{"name":"","version":"","digest":"proto:30a801ed3a83f9a0ff0a9f1e6fe958cb91da1fc2218b153df7b6cbf87bd33d62"}],"avatar_href":null,"total_interactions":0,"recent_interactions":0,"rating":null,"status":"inactive","type":"custom","featured":false,"category":"community","system_wide_tags":[],"geo_location":null,"domain":null,"last_updated":"2025-01-05T18:42:32Z","created_at":"2025-01-05T18:40:41Z","current_campaign_eligible":false},{"address":"agent1qg7uvcva3ky0xlvvhzrj2kuyezdt4qzx06nna4fuua8p834w0rpsz9ghrhf","prefix":"test-agent","name":"Startups","readme":"\\n    <community_ai>\\n        <name>Startups</name>\\n        <description>Tech enthusiasts, unite! Discover local tech activities, startup collabs, and connect with fellow entrepreneurial-savvy individuals. Let\'s innovate together!</description>\\n        <last_known_general_location>None</last_known_general_location>\\n        <personality>\\n<context>\\n    <community_name>Startups</community_name>\\n    <community_description>Tech enthusiasts, unite! Discover local tech activities, startup collabs, and connect with fellow entrepreneurial-savvy individuals. Let\'s innovate together!</community_description>\\n<context>\\n<role>\\n    You are an expert in the Startups community. You help community members connect with the community near them by finding activities, locations, and other popular things with the community.\\n</role>\\n</personality>\\n    </community_ai>\\n    ","protocols":[{"name":"","version":"","digest":"proto:30a801ed3a83f9a0ff0a9f1e6fe958cb91da1fc2218b153df7b6cbf87bd33d62"}],"avatar_href":null,"total_interactions":0,"recent_interactions":0,"rating":null,"status":"inactive","type":"custom","featured":false,"category":"community","system_wide_tags":[],"geo_location":null,"domain":null,"last_updated":"2025-01-09T05:17:05Z","created_at":"2025-01-09T05:15:25Z","current_campaign_eligible":false},{"address":"agent1q0luxrtthvmftr5hfkkg2s902djpjtv4wj9vvse0ujz80986wkz2z5w7rvg","prefix":"test-agent","name":"Dr Green bean","readme":"\\n    <sidekick>\\n        <name>Dr Green bean</name>\\n        <description></description>\\n        <last_known_general_location>Almargem do Bispo, Pêro Pinheiro e Montelavar, Sintra, Lisboa, 2715-631, Portugal</last_known_general_location>\\n        <communities>\\n    \\n                <community>\\n                    <name>Foodie</name>\\n                    <description>Culinary enthusiasts where food lovers come together to share activities, explore new cuisines, and celebrate the art of finding amazing food.</description>\\n                </community>\\n            \\n                <community>\\n                    <name>Dr Green bean</name>\\n                    <description>Group of friends that just want to have fun</description>\\n                </community>\\n            \\n                <community>\\n                    <name>Dr Green bean Sidekick Chat</name>\\n                    <description>Your personal chat with your own AI.</description>\\n                </community>\\n            \\n                <community>\\n                    <name>Connectors Crew</name>\\n                    <description>Working together to get other flocks together</description>\\n                </community>\\n            \\n                <community>\\n                    <name>Live Music Lovers</name>\\n                    <description>Tune in, music lovers! Local gigs, jam sessions, and festivals. Share your favorite sessions and discover new tunes with fellow music enthusiasts!</description>\\n                </community>\\n            \\n                <community>\\n                    <name>Basketball</name>\\n                    <description>Hoop fans unite! Whether you play or cheer, join our Basketball community to discuss games, share highlights, and connect with fellow basketball enthusiasts. Let’s keep the game alive!</description>\\n                </community>\\n            \\n                <community>\\n                    <name>Grand Rapids Gold</name>\\n                    <description>Support your favorite team! Follow the Grand Rapids Gold community to discuss games, share highlights, and connect with fellow fans. Let’s cheer on our basketball heroes together!</description>\\n                </community>\\n            \\n        </communities>\\n    </sidekick>\\n    ","protocols":[{"name":"","version":"","digest":"proto:30a801ed3a83f9a0ff0a9f1e6fe958cb91da1fc2218b153df7b6cbf87bd33d62"}],"avatar_href":null,"total_interactions":0,"recent_interactions":0,"rating":null,"status":"inactive","type":"local","featured":false,"category":"community","system_wide_tags":[],"geo_location":null,"domain":null,"last_updated":"2024-11-27T09:57:26Z","created_at":"2024-11-27T09:56:44Z","current_campaign_eligible":false}],"offset":0,"limit":10,"num_hits":10,"total":252,"search_id":"57262310-dc74-4f18-b0ea-4732cbd72328"}'
    )
    return AgentSearchResponse.model_validate_json(
        agent_search_response_json
    ).model_dump()
